//
//  ShowAllPlayer.swift
//  DouShouQi_App
//
//  Created by Nathan Verdier on 14/06/2024.
//

import SwiftUI
import UIKit

struct ShowAllPlayer: View {
    @State var isShowingSheet = false
    @Binding var players: [Player]
    var body: some View {
        VStack {
            Button(action: {
            }) {
                Text("Afficher les joueurs")
            }
            Button(action: {
                self.isShowingSheet = true
            }) {
                Text("Add Player")
                    .foregroundColor(.white)
                    .padding()
                    .background(Color.red)
                    .cornerRadius(10)
                .sheet(isPresented: $isShowingSheet) {
                    AddPlayerView(isPresented: $isShowingSheet, players: $players)
                }
            }
        }
    }
}
